Package oracle.jdbc.aq

## Interface AQNotificationListener

All Superinterfaces:
  `java.util.EventListener`

    public interface AQNotificationListener
    extends java.util.EventListener

The listener interface for receiving AQ notification events. The class that is interested in processing an AQ notification event implements this interface, and the object created with that class is registered with an `AQNotificationRegistration`, using it's `addListener` method. When the AQ event occurs, that object's `onAQNotification` method is invoked.``

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onAQNotification​(AQNotificationEvent e)` This method will be invoked whenever an AQ event occurs.

### Method Detail

#### onAQNotification

    void onAQNotification​(AQNotificationEvent e)

This method will be invoked whenever an AQ event occurs. Note that you can control which thread will invoke this method by specifying an executor when you register this listener. If the code inside this method is time/resource consuming, then it is recommended to use your own thread otherwise you may starve the other listeners.